﻿using Infragistics.Win;
using Infragistics.Win.UltraWinTree;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace BoldNode
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            UltraTree ultraTree = new UltraTree();
            ultraTree.Dock = DockStyle.Fill;
            this.Controls.Add(ultraTree);

            ultraTree.Appearance.ForeColor = Color.Black;
            ultraTree.Appearance.FontData.Name = "Segoe UI";
            ultraTree.Appearance.FontData.SizeInPoints = 9;
            ultraTree.Appearance.FontData.Bold = DefaultableBoolean.False;
            ultraTree.Appearance.FontData.Italic = DefaultableBoolean.False;
            ultraTree.Appearance.FontData.Underline = DefaultableBoolean.False;

            ultraTree.Override.SelectedNodeAppearance.ForeColor = Color.FromArgb(255, 50, 50, 50);
            ultraTree.Override.SelectedNodeAppearance.FontData.Name = "Segoe UI";
            ultraTree.Override.SelectedNodeAppearance.FontData.SizeInPoints = 9;
            ultraTree.Override.SelectedNodeAppearance.FontData.Bold = DefaultableBoolean.False;
            ultraTree.Override.SelectedNodeAppearance.FontData.Italic = DefaultableBoolean.False;
            ultraTree.Override.SelectedNodeAppearance.FontData.Underline = DefaultableBoolean.False;
            ultraTree.Override.SelectedNodeAppearance.BackColor = Color.FromArgb(255, 193, 223, 254);

            ultraTree.Override.ActiveNodeAppearance.ForeColor = Color.FromArgb(255, 50, 50, 50);
            ultraTree.Override.ActiveNodeAppearance.FontData.Name = "Segoe UI";
            ultraTree.Override.ActiveNodeAppearance.FontData.SizeInPoints = 9;
            ultraTree.Override.ActiveNodeAppearance.BackColor = Color.FromArgb(255, 193, 223, 254);
            ultraTree.Override.ActiveNodeAppearance.FontData.Bold = DefaultableBoolean.False;
            ultraTree.Override.ActiveNodeAppearance.FontData.Italic = DefaultableBoolean.False;
            ultraTree.Override.ActiveNodeAppearance.FontData.Underline = DefaultableBoolean.False;

            ultraTree.Override.HotTracking = DefaultableBoolean.True;
            ultraTree.Override.HotTrackingNodeAppearance.ForeColor = Color.Black;
            ultraTree.Override.HotTrackingNodeAppearance.FontData.Name = "Segoe UI";
            ultraTree.Override.HotTrackingNodeAppearance.FontData.SizeInPoints = 9;
            ultraTree.Override.HotTrackingNodeAppearance.FontData.Bold = DefaultableBoolean.False;
            ultraTree.Override.HotTrackingNodeAppearance.FontData.Italic = DefaultableBoolean.False;
            ultraTree.Override.HotTrackingNodeAppearance.FontData.Underline = DefaultableBoolean.False;
            ultraTree.Override.HotTrackingNodeAppearance.BackColor = Color.FromArgb(255, 229, 243, 251);

            ultraTree.ShowLines = true;
            ultraTree.NodeConnectorStyle = NodeConnectorStyle.None;
            ultraTree.Override.ItemHeight = 25;
            ultraTree.ExpansionIndicatorSize = new Size(16, 16);

            UltraTreeNode node = new UltraTreeNode();
            node.Text = "This is the text of the first node.";
            UltraTreeNode node2 = new UltraTreeNode();
            node2.Text = "This is the text of the second node.";
            UltraTreeNode node3 = new UltraTreeNode();
            node3.Text = "This is the text of the third node.";
            UltraTreeNode node4 = new UltraTreeNode();
            node4.Text = "This is the text of the fourth node.";

            ultraTree.Nodes.AddRange(
                new[] { node, node2, node3, node4 }
                );

            node3.Override.NodeAppearance.FontData.Name = "Segoe UI";
            node3.Override.NodeAppearance.FontData.Bold = Infragistics.Win.DefaultableBoolean.True;
            node3.Override.NodeAppearance.FontData.SizeInPoints = 9;
        }
    }
}

